/*
 * Main.java
 */

package scheduler;

import java.awt.*;
import javax.swing.UIManager;
import scheduler.domain.Scheduler;
import scheduler.gui.CalendarFrame;
import scheduler.util.AppUtils;

public class Main
{
	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {
			e.printStackTrace();
		}

		Scheduler scheduler = new Scheduler();
		try {
			scheduler.load();
		} catch (Exception e) {
			System.err.println("WARNING!!");
			System.err.println(e);
		}

		CalendarFrame frame = new CalendarFrame(scheduler);
		frame.setVisible(true);
	}
}
