/*
 * CalendarMonth.java
 */

package scheduler.domain;

import java.sql.Date;
import java.util.*;
import scheduler.util.DateTimeUtils;

public class CalendarMonth
{
	private Scheduler scheduler;
	private int year;
	private int month;
	private int lastDay;
	private CalendarDate[] calendarDates;

	public CalendarMonth(Scheduler scheduler, int year, int month) {
		this.scheduler = scheduler;
		this.year  = year;
		this.month = month;
		lastDay = DateTimeUtils.getLastDay(year, month);
		calendarDates = new CalendarDate[lastDay];
		for (int i = 0; i < lastDay; ++i) {
			calendarDates[i] = new CalendarDate(scheduler, year, month, i + 1);
		}
	}

	public int getYear() {
		return year;
	}

	public int getMonth() {
		return month;
	}

	public int getLastDay() {
		return lastDay;
	}

	public CalendarDate[] getDates() {
		return calendarDates;
	}

	public CalendarDate getDate(int day) {
		return calendarDates[day - 1];
	}

	public String toString() {
		// yyyy-MM ̌`.
		StringBuffer buf = new StringBuffer();
		buf.append(year);
		buf.append('-');
		if (month < 10) buf.append('0');
		buf.append(month);
		return buf.toString();
	}
}
