/*
 * FixedSchedule.java
 */

package scheduler.domain;

import java.sql.Date;
import java.sql.Time;
import scheduler.util.DateTimeUtils;

public class FixedSchedule extends Schedule
{
	private Date date;

	public FixedSchedule(Date date, Time time, String memo) {
		super(time, memo);
		this.date = date;
	}

	public FixedSchedule(int year, int month, int day,
			int hour, int minute, String memo) {
		this(DateTimeUtils.toSQLDate(year, month, day),
				DateTimeUtils.toSQLTime(hour, minute, 0), memo);
	}

	public Date getDate() {
		return date;
	}

	public int getYear() {
		return DateTimeUtils.getYear(date);
	}

	public int getMonth() {
		return DateTimeUtils.getMonth(date);
	}

	public int getDay() {
		return DateTimeUtils.getDay(date);
	}

	public boolean isValid(Date date) {
		return this.date.equals(date);
	}

	public String toString() {
		return super.toString() + " (" + date + ")";
	}
}
