/*
 * RepeatedSchedule.java
 */

package scheduler.domain;

import java.sql.Date;
import java.sql.Time;

public abstract class RepeatedSchedule extends Schedule
{
	private Date opening = null;
	private Date closing = null;

	protected RepeatedSchedule(Time time, String memo) {
		super(time, memo);
	}

	public Date getOpening() {
		return opening;
	}

	public Date getClosing() {
		return closing;
	}

	public void setOpening(Date value) {
		opening = value;
	}

	public void setClosing(Date value) {
		closing = value;
	}

	public boolean includes(Date date) {
		if (opening != null && date.before(opening)) return false;
		if (closing != null && date.after(closing))  return false;
		return true;
	}

	protected String getRangeString() {
		StringBuffer buf = new StringBuffer();
		if (opening != null) {
			buf.append(opening);
			buf.append('/');
			if (closing != null) {
				buf.append(closing);
			}
		} else if (closing != null) {
			buf.append('/');
			buf.append(closing);
		}
		return buf.toString();
	}
}
