/*
 * Schedule.java
 */

package scheduler.domain;

import java.sql.Date;
import java.sql.Time;
import scheduler.util.DateTimeUtils;

public abstract class Schedule
{
	private Time    time;
	private Content content;

	protected Schedule(Time time, String memo) {
		this.time = time;
		this.content = new Content(memo);
	}

	protected Schedule(int hour, int minute, String memo) {
		this(DateTimeUtils.toSQLTime(hour, minute, 0), memo);
	}

	public Time getTime() {
		return time;
	}

	public Content getContent() {
		return content;
	}

	public int getHour() {
		return DateTimeUtils.getHour(time);
	}

	public int getMinute() {
		return DateTimeUtils.getMinute(time);
	}

	public abstract boolean isValid(Date date);

	public String toString() {
		return time + " " + content;
	}
}
