/*
 * ScheduleList.java
 */

package scheduler.domain;

import java.sql.Date;
import java.util.*;

public class ScheduleList
{
	// List<Schedule>
	private List schedules = new ArrayList();

	public int size() {
		return schedules.size();
	}

	public boolean isEmpty() {
		return schedules.isEmpty();
	}

	public List getAll() {
		return schedules;
	}

	public Iterator iterator() {
		return schedules.iterator();
	}

	public void add(Schedule schedule) {
		schedules.add(schedule);
	}

	public void remove(Schedule schedule) {
		schedules.remove(schedule);
	}

	public void clear() {
		schedules.clear();
	}

	public boolean hasValids(Date date) {
		for (Iterator i = schedules.iterator(); i.hasNext(); ) {
			Schedule schedule = (Schedule)i.next();
			if (schedule.isValid(date)) return true;
		}
		return false;
	}

	static final String LINE_SEPARATOR = System.getProperty("line.separator");

	public String toString() {
		StringBuffer buf = new StringBuffer();
		Iterator i = schedules.iterator();
		if (i.hasNext()) {
			buf.append(i.next());
			while (i.hasNext()) {
				buf.append(LINE_SEPARATOR).append(i.next());
			}
		}
		return buf.toString();
	}
}
