/*
 * DateCell.java
 */

package scheduler.gui;

import java.awt.Color;
import scheduler.domain.CalendarDate;

public class DateCell
{
	private CalendarDate calendarDate;

	public DateCell(CalendarDate date) {
		calendarDate = date;
	}

	public CalendarDate getCalendarDate() {
		return calendarDate;
	}

	public Color getColor() {
		if (calendarDate == null) return Color.lightGray;
		if (calendarDate.hasSchedules()) {
			return Color.yellow;
		} else {
			return Color.white;
		}
	}

	public String toString() {
		if (calendarDate == null) return "";
		int day = calendarDate.getDay();
		return Integer.toString(day);
	}
}
