/*
 * DateTimeUtilsTest.java
 */

package scheduler.tests;

import java.util.Calendar;
import junit.framework.TestCase;
import scheduler.util.DateTimeUtils;

public class DateTimeUtilsTest extends TestCase
{
	public DateTimeUtilsTest(String name) {
		super(name);
	}

	public void testDate() {
		java.sql.Date date = DateTimeUtils.toSQLDate(2002, 4, 17);
		assertEquals(2002, DateTimeUtils.getYear(date));
		assertEquals(   4, DateTimeUtils.getMonth(date));
		assertEquals(  17, DateTimeUtils.getDay(date));
		assertEquals(Calendar.WEDNESDAY, DateTimeUtils.getDayOfWeek(date));

		DateTimeUtils.Fields fields = DateTimeUtils.getFields(date);
		assertEquals(2002, fields.year);
		assertEquals(   4, fields.month);
		assertEquals(  17, fields.day);
		assertEquals(Calendar.WEDNESDAY, fields.dayOfWeek);

		assertEquals("2002-04-17", date.toString());

		// month ͈͊ȌꍇB
		date = DateTimeUtils.toSQLDate(2001, 13, 1);
		assertEquals(2002, DateTimeUtils.getYear(date));
		assertEquals(   1, DateTimeUtils.getMonth(date));
		assertEquals(   1, DateTimeUtils.getDay(date));
	}

	public void testTime() {
		java.sql.Time time = DateTimeUtils.toSQLTime(12, 34, 56);
		assertEquals(12, DateTimeUtils.getHour(time));
		assertEquals(34, DateTimeUtils.getMinute(time));
		assertEquals(56, DateTimeUtils.getSecond(time));

		DateTimeUtils.Fields fields = DateTimeUtils.getFields(time);
		assertEquals(12, fields.hour);
		assertEquals(34, fields.minute);
		assertEquals(56, fields.second);

		assertEquals("12:34:56", time.toString());
	}

	public void testGetLastDay() {
		assertEquals(31, DateTimeUtils.getLastDay(2002, 1));
		assertEquals(28, DateTimeUtils.getLastDay(2001, 2));
		assertEquals(29, DateTimeUtils.getLastDay(2000, 2));
		assertEquals(30, DateTimeUtils.getLastDay(1999, 11));
		assertEquals(31, DateTimeUtils.getLastDay(1998, 12));
	}
}
