/*
 * AppUtils.java
 */

package scheduler.util;

import java.io.*;
import java.util.Properties;

public class AppUtils
{
	static final String DEFAULT_CONFIG = "scheduler.cfg";

	private static Properties properties = null;

	private AppUtils() {}

	public static void init(String name) {
		properties = new Properties();
		InputStream in = null;
		try {
			in = new BufferedInputStream(new FileInputStream(name));
			properties.load(in);
		} catch (IOException e) {
			System.err.println("WARNING!!");
			System.err.println(e);
		} finally {
			if (in != null) {
				try { in.close(); } catch (IOException e) {}
			}
		}
	}

	public static Properties getProperties() {
		if (properties != null) return properties;
		synchronized (AppUtils.class) {
			if (properties != null) return properties;
			String name = System.getProperty("config", DEFAULT_CONFIG);
			init(name);
			return properties;
		}
	}

	public static String getProperty(String key) {
		return getProperties().getProperty(key);
	}

	public static String getProperty(String key, String defaultValue) {
		return getProperties().getProperty(key, defaultValue);
	}
}
