/*
 * DateTimeFormat.java
 */

package scheduler.util;

import java.text.*;
import java.util.*;

public class DateTimeFormat
{
	static final DateFormat formatY4M2D2;
	static final DateFormat formatH2M2;

	static {
		ResourceBundle resources = ResourceBundle.getBundle(
				"scheduler/resources/scheduler");
		String patternY4M2D2 = resources.getString("format.y4m2d2");
		String patternH2M2   = resources.getString("format.h2m2");
		formatY4M2D2 = new SimpleDateFormat(patternY4M2D2);
		formatH2M2   = new SimpleDateFormat(patternH2M2);
	}

	private DateTimeFormat() {}

	public static String formatY4M2D2(java.util.Date date) {
		return formatY4M2D2.format(date);
	}

	public static String formatH2M2(java.util.Date time) {
		return formatH2M2.format(time);
	}

	public static java.util.Date parseDateY4M2D2(String s)
			throws ParseException {
		return formatY4M2D2.parse(s);
	}

	public static java.sql.Date parseSQLDateY4M2D2(String s)
			throws ParseException {
		return new java.sql.Date(parseDateY4M2D2(s).getTime());
	}

	public static java.util.Date parseTimeH2M2(String s)
			throws ParseException {
		return formatH2M2.parse(s);
	}

	public static java.sql.Time parseSQLTimeH2M2(String s)
			throws ParseException {
		return new java.sql.Time(parseTimeH2M2(s).getTime());
	}
}
