/*
 * DateTimeUtils.java
 */

package scheduler.util;

import java.util.Calendar;

public class DateTimeUtils
{
	private static Calendar calendar = Calendar.getInstance();

	public static class Fields {
		public int year;
		public int month;
		public int day;
		public int dayOfWeek;
		public int hour;
		public int minute;
		public int second;
	}

	private DateTimeUtils() {}

	public static synchronized java.sql.Date toSQLDate(
			int year, int month, int day) {
		calendar.clear();
		calendar.set(year, month - 1, day);
		return new java.sql.Date(calendar.getTime().getTime());
	}

	public static synchronized java.sql.Time toSQLTime(
			int hour, int minute, int second) {
		calendar.clear();
		calendar.set(Calendar.HOUR_OF_DAY, hour);
		calendar.set(Calendar.MINUTE, minute);
		calendar.set(Calendar.SECOND, second);
		return new java.sql.Time(calendar.getTime().getTime());
	}

	public static synchronized int getYear(java.util.Date date) {
		calendar.clear();
		calendar.setTime(date);
		return calendar.get(Calendar.YEAR);
	}

	public static synchronized int getMonth(java.util.Date date) {
		calendar.clear();
		calendar.setTime(date);
		return calendar.get(Calendar.MONTH) + 1;
	}

	public static synchronized int getDay(java.util.Date date) {
		calendar.clear();
		calendar.setTime(date);
		return calendar.get(Calendar.DAY_OF_MONTH);
	}

	public static synchronized int getDayOfWeek(java.util.Date date) {
		calendar.clear();
		calendar.setTime(date);
		return calendar.get(Calendar.DAY_OF_WEEK);
	}

	public static synchronized int getLastDay(int year, int month) {
		calendar.clear();
		calendar.set(year, month - 1, 1);
		return calendar.getActualMaximum(Calendar.DAY_OF_MONTH);
	}

	public static synchronized int getHour(java.util.Date time) {
		calendar.clear();
		calendar.setTime(time);
		return calendar.get(Calendar.HOUR_OF_DAY);
	}

	public static synchronized int getMinute(java.util.Date time) {
		calendar.clear();
		calendar.setTime(time);
		return calendar.get(Calendar.MINUTE);
	}

	public static synchronized int getSecond(java.util.Date time) {
		calendar.clear();
		calendar.setTime(time);
		return calendar.get(Calendar.SECOND);
	}

	public static synchronized Fields getFields(java.util.Date dateTime) {
		calendar.clear();
		calendar.setTime(dateTime);
		Fields fields = new Fields();
		fields.year      = calendar.get(Calendar.YEAR);
		fields.month     = calendar.get(Calendar.MONTH) + 1;
		fields.day       = calendar.get(Calendar.DAY_OF_MONTH);
		fields.dayOfWeek = calendar.get(Calendar.DAY_OF_WEEK);
		fields.hour      = calendar.get(Calendar.HOUR_OF_DAY);
		fields.minute    = calendar.get(Calendar.MINUTE);
		fields.second    = calendar.get(Calendar.SECOND);
		return fields;
	}
}
